local celeste = require("#celeste")
local csharpVector2 = require("#microsoft.xna.framework.vector2")

function onBegin()
	disableMovement()
	wait(0.05)
	celeste.SpotlightWipe.FocusPoint = csharpVector2(152, 384)
	getRoom().Wipe = celeste.SpotlightWipe(getRoom(), false, nil)
	playSound("event:/CC/CC_Catbird/Teleport")
	wait(0.6)
	
	
	teleportTo(208, 1200, "c00", "None")
	enableMovement()
end